package com.qmth.themis.business.dto.response;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import com.qmth.themis.business.annotation.ExcelNotExport;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;

/**
 * @Description: 成绩查询
 * @Param:
 * @return:
 * @Author: wangliang
 * @Date: 2020/10/19
 */
public class MarkResultDto implements Serializable {

    @ApiModelProperty(name = "考试场次code")
    private String examActivityCode;

    @ApiModelProperty(name = "学生姓名")
    private String name;

    @ApiModelProperty(name = "证件号")
    private String identity;

    @ApiModelProperty(name = "科目代码")
    private String courseCode;

    @ApiModelProperty(name = "科目名称")
    private String courseName;

    @ApiModelProperty(name = "考场代码")
    private String roomCode;

    @ApiModelProperty(name = "考场名称")
    private String roomName;

    @ApiModelProperty(value = "年级")
    private String grade;

    @ApiModelProperty(value = "班级")
    private String classNo;

    @ApiModelProperty(value = "缺考")
    private String examAbsent;

    @ApiModelProperty(value = "违纪次数")
    private Integer breachCount;

    @ApiModelProperty(value = "考试次数")
    private Integer examCount;

    @ApiModelProperty(value = "客观分")
    private Double objectiveScore = 0D;

    @ApiModelProperty(value = "主观分")
    private Double subjectiveScore = 0D;

    @ApiModelProperty(value = "总分")
    private Double sumScore = 0D;

    @JsonSerialize(using = ToStringSerializer.class)
    @ApiModelProperty(value = "批次id")
    private Long examId;

    @JsonSerialize(using = ToStringSerializer.class)
    @ApiModelProperty(value = "场次id")
    private Long examActivityId;

    @ApiModelProperty(value = "批次名称")
    private String examName;

    @JsonSerialize(using = ToStringSerializer.class)
    @ApiModelProperty(value = "试卷ID")
    private Long paperId;

    @JsonSerialize(using = ToStringSerializer.class)
    @ApiModelProperty(value = "考试记录ID")
    private Long recordId;

    @JsonSerialize(using = ToStringSerializer.class)
    @ApiModelProperty(value = "考生ID")
    private Long examStudentId;

    @ApiModelProperty(value = "开始时间")
    private Long firstStartTime;

    @ApiModelProperty(value = "结束时间")
    private Long finishTime;

    public Long getPaperId() {
        return paperId;
    }

    public void setPaperId(Long paperId) {
        this.paperId = paperId;
    }

    public Long getFirstStartTime() {
        return firstStartTime;
    }

    public void setFirstStartTime(Long firstStartTime) {
        this.firstStartTime = firstStartTime;
    }

    public Long getFinishTime() {
        return finishTime;
    }

    public void setFinishTime(Long finishTime) {
        this.finishTime = finishTime;
    }

    public Long getRecordId() {
        return recordId;
    }

    public void setRecordId(Long recordId) {
        this.recordId = recordId;
    }

    public Long getExamStudentId() {
        return examStudentId;
    }

    public void setExamStudentId(Long examStudentId) {
        this.examStudentId = examStudentId;
    }
//
//    public Long getPaperId() {
//        return paperId;
//    }
//
//    public void setPaperId(Long paperId) {
//        this.paperId = paperId;
//    }

    public Long getExamId() {
        return examId;
    }

    public void setExamId(Long examId) {
        this.examId = examId;
    }

    public Long getExamActivityId() {
        return examActivityId;
    }

    public void setExamActivityId(Long examActivityId) {
        this.examActivityId = examActivityId;
    }

    public String getExamName() {
        return examName;
    }

    public void setExamName(String examName) {
        this.examName = examName;
    }

    public String getExamActivityCode() {
        return examActivityCode;
    }

    public void setExamActivityCode(String examActivityCode) {
        this.examActivityCode = examActivityCode;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getIdentity() {
        return identity;
    }

    public void setIdentity(String identity) {
        this.identity = identity;
    }

    public String getCourseCode() {
        return courseCode;
    }

    public void setCourseCode(String courseCode) {
        this.courseCode = courseCode;
    }

    public String getCourseName() {
        return courseName;
    }

    public void setCourseName(String courseName) {
        this.courseName = courseName;
    }

    public String getRoomCode() {
        return roomCode;
    }

    public void setRoomCode(String roomCode) {
        this.roomCode = roomCode;
    }

    public String getRoomName() {
        return roomName;
    }

    public void setRoomName(String roomName) {
        this.roomName = roomName;
    }

    public String getGrade() {
        return grade;
    }

    public void setGrade(String grade) {
        this.grade = grade;
    }

    public String getClassNo() {
        return classNo;
    }

    public void setClassNo(String classNo) {
        this.classNo = classNo;
    }

    public String getExamAbsent() {
        return examAbsent;
    }

    public void setExamAbsent(String examAbsent) {
        this.examAbsent = examAbsent;
    }

    public Integer getBreachCount() {
        return breachCount;
    }

    public void setBreachCount(Integer breachCount) {
        this.breachCount = breachCount;
    }

    public Integer getExamCount() {
        return examCount;
    }

    public void setExamCount(Integer examCount) {
        this.examCount = examCount;
    }

    public Double getObjectiveScore() {
        return objectiveScore;
    }

    public void setObjectiveScore(Double objectiveScore) {
        this.objectiveScore = objectiveScore;
    }

    public Double getSubjectiveScore() {
        return subjectiveScore;
    }

    public void setSubjectiveScore(Double subjectiveScore) {
        this.subjectiveScore = subjectiveScore;
    }

    public Double getSumScore() {
        return sumScore;
    }

    public void setSumScore(Double sumScore) {
        this.sumScore = sumScore;
    }
}
